SIGPENDING(2)

NAME
sigpending - get pending signals

LIBRARY
libc

SYNOPSIS
#include <signal.h>
int
sigpending(sigset_t *set);

DESCRIPTION
The sigpending function returns a mask of the signals pending for delivery to the calling process in the location indicated by set. Signals may be pending because they are currently masked, or they are in transition before delivery (although the latter case is not normally detectable).

RETURN VALUES
A 0 value indicates that the call succeeded. A -1 return value indicates an error occurred and errno is set to indicate the reason.

ERRORS
sigpending() will fail if:

[EFAULT]
    set specifies an invalid address.

SEE ALSO
sigaction(2), sigprocmask(2), signal(7)

STANDARDS
The sigpending function conforms to p1003.1-90.